export declare type SubjectStyleType = 'text' | 'background' | 'border' | 'underline';
export interface ISubject {
    name: string;
    color: string;
    active: boolean;
    style: any;
}
export declare class Subject implements ISubject {
    name: string;
    color: string;
    private styleType;
    private xActive;
    get active(): boolean;
    set active(val: boolean);
    constructor(name: string, color: string, styleType?: SubjectStyleType);
    get style(): any;
}
