import { SpanData } from '../SpanData';
import { Layers } from './Layer';
export declare class Press {
    private sourceText;
    private syncedSpanBatches;
    private taskQueue;
    private isQueueRunning;
    private shouldTaskCancel;
    private layers;
    private heartbeatTime;
    private batchSyncTimeout;
    private batchSize;
    private spanDataBatchArray;
    constructor(sourceText: string, syncedSpanBatches: SpanData[][], layers: Layers, batchSize: number, heartbeatTime?: number);
    waitForReady(): Promise<void>;
    reset(): Promise<void>;
    private syncSpanBatches;
    private runQueue;
    private asyncRunQueue;
    implementPatch(): void;
    private produceSpanData;
    private patchSpanData;
    private asyncFillSpanBatches;
    private asyncPatchSpanData;
    private batchPressLayersBtwn;
    private pressLayersBtwn;
}
